Bug 2934 - auth_sam.c and winbindd_ads.c type mismatches
auth_sam.c and winbindd_ads.c type mismatches
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.20
All NetBSD
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 04:02 UTC by Luke Mewburn
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments
types fixes (1.53 KB, patch)
2005-08-01 04:02 UTC, Luke Mewburn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Mewburn 2005-08-01 04:02:14 UTC
There's a couple of misuse of types that were detected whilst building on some
NetBSD platforms.

auth_sam.c: passes a long instead of time_t to localtime()

winbindd_ads.c: passes pointer to int instead of pointer to size_t to
ads_pull_strings_range()

I'll attach a patch to fix both.
Comment 1 Luke Mewburn 2005-08-01 04:02:37 UTC
Created attachment 1346 [details]
types fixes
Comment 2 Jeremy Allison 2005-08-11 17:04:04 UTC
Applied, thanks.
Jeremy.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:43 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.